Calabash XProc is not available anymore

Having trouble installing <oXygen/>? Got a bug to report? Post it all here.
Martin de la Iglesia
Posts: 8

Calabash XProc is not available anymore

Tue Nov 06, 2018 5:06 pm

Hi,
I recently upgraded from Oxygen 17.1 to 20.1. When I want to apply a transformation scenario that includes XProc, I get the error message, "The transformer Calabash XProc is not available anymore. Please reconfigure the transformation scenario." In 17.1 the same scenario still works fine. Does that mean Oxygen doesn't support XProc anymore?
Radu
Posts: 5867

Re: Calabash XProc is not available anymore

Wed Nov 07, 2018 12:39 am

Hi Martin,

Does creating and using a new XProc transformation scenario work for you?
At some point I think we changed the name of the bundled XProc engine and we probably should have been more backward compatible.

Regards,
Radu
Radu Coravu
<oXygen/> XML Editor
http://www.oxygenxml.com
adrian
Posts: 2461

Re: Calabash XProc is not available anymore

Wed Nov 07, 2018 3:38 pm

Hi,

Like Radu said, at one point the name of the Calabash XProc processor changed from "Calabash XProc" to "Add-on for Calabash XProc Engine".
All you have to do is edit the transformation scenario and pick the new processor name from the "Processor" combo box.

Regards,
Adrian
Adrian Buza
<oXygen/> XML Editor, Schema Editor and XSLT Editor/Debugger
http://www.oxygenxml.com
Martin de la Iglesia
Posts: 8

Re: Calabash XProc is not available anymore

Thu Nov 15, 2018 2:51 pm

Thank you, Radu and Adrian, I can confirm that I works for me now that I have changed the processor setting in all my transformation scenarios. Of course, it is unfortunate that these scenarios now throw an error when applied in version 17.1 (or 19). This is problematic because my transformation scenarios are used by several people, and the ones using older Oxygen versions can't apply the scenarios anymore.

Return to “Common Problems”

Who is online

Users browsing this forum: No registered users and 3 guests